Package org.eclipse.net4j.util.fsm

# Class FiniteStateMachine.ChangeStateTransition

java.lang.Object
org.eclipse.net4j.util.fsm.FiniteStateMachine.ChangeStateTransition

All Implemented Interfaces:
  `ITransition<STATE,EVENT,SUBJECT,Object>`

Enclosing class:
  FiniteStateMachine<STATE extends Enum<?>,EVENT extends Enum<?>,SUBJECT>

public class FiniteStateMachine.ChangeStateTransition extends Object implements ITransition<STATE,EVENT,SUBJECT,Object>
A `transition` that changes the `state` of a subject.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ChangeStateTransition(STATE targetState)`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(SUBJECT subject, STATE state, EVENT event, Object data)`
`STATE`
`getTargetState()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChangeStateTransition

public ChangeStateTransition(STATE targetState)

## Method Details

### getTargetState

public STATE getTargetState()

### execute

public void execute(SUBJECT subject, STATE state, EVENT event, Object data)

Specified by:
  `execute` in interface `ITransition<STATE extends Enum<?>,EVENT extends Enum<?>,SUBJECT,Object>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`